Get project task
curl --request GET \
--url https://api.recoupable.dev/api/projects/{projectId}/tasks/{taskId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.dev/api/projects/{projectId}/tasks/{taskId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.dev/api/projects/{projectId}/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"task": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"due_date": "2023-12-25",
"assignee_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment_count": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"author_name": "<string>"
}
],
"collaborators": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}Projects
Get Project Task
One task with its comment feed and the project’s collaborators. This is what the task detail page renders.
GET
/
api
/
projects
/
{projectId}
/
tasks
/
{taskId}
Get project task
Authorizations
apiKeyAuthbearerAuth
Your Recoup API key. Learn more.
Path Parameters
The project's UUID.
The task's UUID.
Was this page helpful?
